#ifndef CONFIG_H
#define CONFIG_H

/* config.example.h is an EXAMPLE and needsnto be renamed to config.h */
/* Rename this file to config.h and add yout real configuration including keys here. 
The config.h will be ignored by git and you private data is not pushed to the repository */

//* PIN connections *//
//* HX916 coin acceptor connections: *//
static const uint8_t COIN_PIN = 17;        // pin at the ESP32 the HX916 COIN signal is connected at
static const uint8_t MOSFET_PIN = 16;      // pin at the ESP32 the HX916 SET signal is connected at (Please connect the signal that is pulled up by default)

//* Button connections: *//
static const uint8_t LED_BUTTON_PIN = 21;  // pin at the ESP32 the LED of the button is connected at
static const uint8_t BUTTON_PIN = 32;      // pin at the ESP32 the button is connected at

//* eInk display *//
static const uint8_t DSPLY_PIN_CS = 26;    // pin at the ESP32 the display CS pin is connected at
static const uint8_t DSPLY_PIN_DC = 25;    // pin at the ESP32 the display DC pin is connected at
static const uint8_t DSPLY_PIN_RST = 33;   // pin at the ESP32 the display RST pin is connected at
static const uint8_t DSPLY_PIN_BUSY = 27;  // pin at the ESP32 the display BUSY pin is connected at

//* HX916 coin pulse configuration *//
static constexpr unsigned int COINS[] = { 1, 2, 5, 10, 20, 50, 100, 200};  // teached values of coins
static constexpr size_t COINS_COUNT = sizeof(COINS) / sizeof(COINS[0]);    // number of teached values
static const unsigned long COIN_PULSE_WIDTH_MS = 45;                       // set by switch at HX916: fast = 25, med = 35, slow=45

//* Config data required by the bleskomat based ATM, to comunicate with the LNBITS server *//
static const char* APIKEY_ID = "Place your apikey ID here.";
static const char* APIKEY_KEY = "Place your apikey key here.";
static const char* APIKEY_ENCODING = "hex";
static const char* CALLBACK_URL = "Place your callback URL here.";
static const bool SHORTEN = true;

#endif